Create activity
curl --request POST \
--url https://api.clientcommander.com/v1/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"personId": "<string>",
"channel": "<string>",
"content": "<string>"
}
'import requests
url = "https://api.clientcommander.com/v1/activities"
payload = {
"personId": "<string>",
"channel": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({personId: '<string>', channel: '<string>', content: '<string>'})
};
fetch('https://api.clientcommander.com/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"version": "1.0.0"
},
"data": {
"id": "<string>",
"personId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"channel": "<string>",
"content": "<string>",
"agentName": "<string>",
"starred": false
}
}Activities
Create Activity
Log a new activity for a contact.
POST
/
v1
/
activities
Create activity
Authorizations
API key for authentication using Bearer token scheme.
How to get your API key:
- Log into Client Commander
- Go to Admin > API Keys
- Click Create API Key
- Copy the key and use it in the Authorization header:
Authorization: Bearer ccmd_live_your_key_here
Body
application/json
⌘I

